godo.ActionGateway.Endpoints.Search()

Generated on 11 Nov 2026 from godo version v1.237.0

Usage

client.ActionGateway.Endpoints.Search(ctx context.Context, opt *godo.ActionGatewayEndpointSearchOptions) (*godo.ActionGatewayEndpointsResponse, *godo.Response, error)

Description

Search searches endpoints by name, endpoint ID, actor ID, or agent name.

This method sends a GET request to /v2/action-gateway/endpoints/search.

Parameters

opt *godo.ActionGatewayEndpointSearchOptions

Fields of godo.ActionGatewayEndpointSearchOptions

ActionGatewayEndpointSearchOptions searches endpoints by text and actor.

Query string
ActorID string
PageSize int
PageToken string

Returns

*godo.ActionGatewayEndpointsResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ActionGatewayEndpointsResponse

ActionGatewayEndpointsResponse contains a keyset page of endpoints.

Endpoints []godo.ActionGatewayEndpoint

JSON key: endpoints

NextPageToken string

JSON key: next_page_token

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.ActionGateway.Endpoints.Search(ctx, &godo.ActionGatewayEndpointSearchOptions{
		Query: "<your-query>",
		ActorID: "<your-actor-id>",
		PageSize: 1234567,
		PageToken: "<your-page-token>",
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "endpoints": [
    {
      "id": "1b4d4e0f-9a7c-4d5b-8f3c-2a6e6e8f0a13",
      "name": "support-agent",
      "actor_id": "alice",
      "is_default": false,
      "head_version": {
        "id": "1b4d4e0f-9a7c-4d5b-8f3c-2a6e6e8f0a13.v1",
        "endpoint_id": "1b4d4e0f-9a7c-4d5b-8f3c-2a6e6e8f0a13",
        "version_number": 1,
        "name": "support-agent",
        "actor_id": "alice",
        "tools": {
          "references": [
            {
              "kind": "SESSION_TOOL_REFERENCE_KIND_TOOL",
              "name": "exa_web_search",
              "version": "1"
            }
          ]
        },
        "policy": {
          "defaultAction": "ask",
          "rules": [
            {
              "tool": "exa_web_search@1",
              "match": {},
              "action": "allow"
            }
          ]
        },
        "config": {
          "preloadTools": [
            "exa_web_search"
          ],
          "outputViews": {
            "exa_web_search": "titles-and-urls"
          },
          "customInstructions": "Prefer primary sources and cite URLs."
        },
        "network": {
          "vpcUuid": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
          "region": "nyc3"
        },
        "mcp_url": "https://nyc3.actions.do-ai.run/mcp/endpoint/1b4d4e0f-9a7c-4d5b-8f3c-2a6e6e8f0a13/version/9a7c2d5b-6e8f-4a13-8f3c-2a6e1b4d4e0f",
        "created_at": "2026-10-15T14:00:00Z",
        "updated_at": "2026-10-15T14:00:00Z"
      },
      "insights": {
        "metrics": null,
        "logs": true,
        "traces": false
      },
      "mcp_url": "https://nyc3.actions.do-ai.run/mcp/endpoint/1b4d4e0f-9a7c-4d5b-8f3c-2a6e6e8f0a13",
      "created_at": "2026-10-15T14:00:00Z",
      "updated_at": "2026-10-15T14:00:00Z"
    }
  ],
  "next_page_token": ""
}

More Information

See GET /v2/action-gateway/endpoints/search in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.